# Command Line Options

## schema-salad-tool

    usage: schema-salad-tool [-h] [--rdf-serializer RDF_SERIALIZER]
                             [--skip-schemas] [--strict-foreign-properties]
                             [--print-jsonld-context] [--print-rdfs]
                             [--print-avro] [--print-rdf] [--print-pre]
                             [--print-index] [--print-metadata]
                             [--print-inheritance-dot] [--print-fieldrefs-dot]
                             [--codegen language]
                             [--codegen-target CODEGEN_TARGET]
                             [--codegen-examples directory]
                             [--codegen-package dotted.package]
                             [--codegen-copyright copyright_string]
                             [--codegen-spdx-copyright-text spdx_copyright_text [spdx_copyright_text ...]]
                             [--codegen-spdx-license-identifier spdx_license_identifier]
                             [--codegen-parser-info parser_info] [--print-oneline]
                             [--print-doc] [--strict | --non-strict] [--verbose |
                             --quiet | --debug] [--only ONLY]
                             [--redirect REDIRECT] [--brand BRAND]
                             [--brandlink BRANDLINK] [--brandstyle BRANDSTYLE]
                             [--brandinverse] [--primtype PRIMTYPE] [--version]
                             [schema] [document ...]

schema

document

-h, --help

  show this help message and exit

--rdf-serializer <rdf_serializer>

  Output RDF serialization format used by –print-rdf(one of turtle (default), n3, nt, xml)

--skip-schemas

  If specified, ignore $schemas sections.

--strict-foreign-properties

  Strict checking of foreign properties

--print-jsonld-context

  Print JSON-LD context for schema

--print-rdfs

  Print RDF schema

--print-avro

  Print Avro schema

--print-rdf

  Print corresponding RDF graph for document

--print-pre

  Print document after preprocessing

--print-index

  Print node index

--print-metadata

  Print document metadata

--print-inheritance-dot

  Print graphviz file of inheritance

--print-fieldrefs-dot

  Print graphviz file of field refs

--codegen <language>

  Generate classes in target language, currently supported: python, java, typescript, dotnet, cpp, dlang

--codegen-target <codegen_target>

  Defaults to sys.stdout for Python/C++/Dlang and ./ for Java/TypeScript/.Net

--codegen-examples <directory>

  Directory of example documents for test case generation (Java/TypeScript/.Net/Dlang only).

--codegen-package <dotted.package>

  Optional override of the package name which is other derived from the base URL (Java/TypeScript/.Net/Dlang only).

--codegen-copyright <copyright_string>

  Optional copyright of the input schema.

--codegen-spdx-copyright-text <spdx_copyright_text>

  List of copyright text. Each entry will show up as ‘SPDX-FileCopyrightText: …’ (Currently c++ only)

--codegen-spdx-license-identifier <spdx_license_identifier>

  Optional spdx license identifier, e.g.: GPL-3.0-only (Currently c++ only)

--codegen-parser-info <parser_info>

  Optional parser name which is accessible via resulted parser API (Python and Dlang only)

--print-oneline

  Print each error message in oneline

--print-doc

  Print HTML schema documentation page

--strict

  Strict validation (unrecognized or out of place fields are error)

--non-strict

  Lenient validation (ignore unrecognized fields)

--verbose

  Default logging

--quiet

  Only print warnings and errors.

--debug

  Print even more logging

--only <only>

  Use with –print-doc, document only listed types

--redirect <redirect>

  Use with –print-doc, override default link for type

--brand <brand>

  Use with –print-doc, set the ‘brand’ text in nav bar

--brandlink <brandlink>

  Use with –print-doc, set the link for ‘brand’ in nav bar

--brandstyle <brandstyle>

  Use with –print-doc, HTML code to link to an external style sheet

--brandinverse

  Use with –print-doc

--primtype <primtype>

  Use with –print-doc, link to use for primitive types (string, int etc)

--version, -v

  Print version

## schema-salad-doc

    usage: schema-salad-doc [-h] [--only ONLY] [--redirect REDIRECT]
                            [--brand BRAND] [--brandlink BRANDLINK]
                            [--brandstyle BRANDSTYLE] [--brandinverse]
                            [--primtype PRIMTYPE] [--debug]
                            schema

schema

-h, --help

  show this help message and exit

--only <only>

--redirect <redirect>

--brand <brand>

--brandlink <brandlink>

--brandstyle <brandstyle>

--brandinverse

--primtype <primtype>

--debug